Get account wallet list

Get account wallet list

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Scope

account-wallets:read

Query Params
integer
1 to 2147483647
Defaults to 1

Page number

integer
1 to 100
Defaults to 20

Maximum number of items per page

string
length between 0 and 2147483647

Filter wallets according to the specified filter expression.

Currently you can filter by the following attributes:

  • name - Filter by wallet name. E.g. name eq 'product_usage'.
  • product_name - Filter by product name. E.g. product_name eq 'SaaS Consumption-Licensing'.
    Supported comparison operators:
  • contains - Match if any value is within the list, i.e. evaluates to true if any value of the contains operand matches the value in the database. E.g. contains(product_name, 'standard').
  • eq - Exact match, i.e. only evaluates to true if both operands have the same value. E.g. name eq 'saas_licenses'.
    Supported logical operators:
  • and - AND logical operator. E.g. name eq 'saas_licenses' and product_name eq 'Talkdesk Fax'.
  • or - OR logical operator. E.g. name eq 'saas_licenses' or product_name eq 'Talkdesk Fax'.
  • not - NOT logical operator. E.g. not product_name eq 'product_usage'.
    Supported precedence operators:
  • ( and ) - Parentheses precedence operator. You can force some expressions to be evaluated first than another by enclosing them into parentheses E.g. (name eq 'saas_licenses' and product_name eq 'Talkdesk Fax') or name eq 'guardian' is different than name eq 'saas_licenses' and (product_name eq 'Talkdesk Fax' or name eq 'guardian').
    Values must have single quotes marks e.g.: name eq 'guardian'

Examples

  • filter=product_name eq 'Saas Licenses' and (name eq 'saas_licenses' and contains(product_name, 'digital') - Retrieve the wallets that have product_name 'Saas Licenses' and thatname is 'saas_licenses' or product_name contains the string 'digital' within.
  • `filter=name eq 'ai_premium_batch' or contains(product_name, 'realtime') - Retrieves the wallets that have name 'ai_premium_batch' or that product_name contains the string 'realtime' within.
string
length between 0 and 2147483647
Defaults to name:asc

Sorts by the indicated field in the specified direction, ascending or descending.
The expression format may contain the suffix asc or desc separated from the property name with a colon in between.

Examples:


  • name:desc

More information here

Responses

Language
Credentials
OAuth2
Missing 1 required scope
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json